Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class ImportConfirmAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.ImportConfirmAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

    public class ImportConfirmAction

extends com.opensymphony.xwork2.ActionSupport

Action that retrieve the configuration and

Author:
  David Masclet
See Also:
  `ImporterManager`, Serialized Form

Field Summary
`static java.lang.String` | `STATUS`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ImportConfirmAction()`

Method Summary
`java.lang.String` | `execute()`
`java.lang.String` | `getFulltextSearchEngineURL()`
`ImporterConfig` | `getImporterConfig()`
`boolean` | `isDownloadDirectoryAccessible()`
`boolean` | `isFulltextSearchEngineAlive()`
`boolean` | `isRegexpCorrects()`
`void` | `setFullTextSearchEngine(IFullTextSearchEngine fullTextSearchEngine)`
`void` | `setImporterConfig(ImporterConfig importerConfig)`
`void` | `setImporterManager(IImporterManager importerManager)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS

    public static java.lang.String STATUS

Constructor Detail

### ImportConfirmAction

    public ImportConfirmAction()

Method Detail

### execute

    public java.lang.String execute()
                             throws java.lang.Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `java.lang.Exception`

### getImporterConfig

    public ImporterConfig getImporterConfig()

  Returns:
    the importerConfig

### setImporterConfig

    public void setImporterConfig(ImporterConfig importerConfig)

  Parameters:
    `importerConfig` - the importerConfig to set

### isDownloadDirectoryAccessible

    public boolean isDownloadDirectoryAccessible()

  Returns:
    true if the directory with the file to import exists and is accessible

### isRegexpCorrects

    public boolean isRegexpCorrects()

  Returns:
    true if the regexp of the feature class/ code are correct

### isFulltextSearchEngineAlive

    public boolean isFulltextSearchEngineAlive()

  Returns:
    true if he fulltext search engine is alive

### getFulltextSearchEngineURL

    public java.lang.String getFulltextSearchEngineURL()

  Returns:
    true if he fulltext search engine is alive

### setImporterManager

    public void setImporterManager(IImporterManager importerManager)

  Parameters:
    `importerManager` - the importerManager to set

### setFullTextSearchEngine

    public void setFullTextSearchEngine(IFullTextSearchEngine fullTextSearchEngine)

  Parameters:
    `fullTextSearchEngine` - the fullTextSearchEngine to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.